Bug 73955 - Table with merged rows does not respect "Do not break across pages" setting
Summary: Table with merged rows does not respect "Do not break across pages" setting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 61128 (view as bug list)
Depends on:
Blocks: Cell-Format-Dialog Writer-Table-Properties-Dialog
  Show dependency treegraph
 
Reported: 2014-01-23 05:48 UTC by narayanaras
Modified: 2019-08-13 09:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows how merged Cell across multiple rows gets broken across a page-break (21.60 KB, application/vnd.oasis.opendocument.text)
2014-01-23 05:48 UTC, narayanaras
Details

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2014-01-23 05:48:48 UTC
Created attachment 92634 [details]
Shows how merged Cell across multiple rows gets broken across a page-break

When a table has merged rows, it does not respect the “Do NOT break row across page breaks” setting.

When some cells from multiple rows are merged, its very purpose is to show the data in these rows together, as an unbroken picture. But this intent is defeated when the merged cells are broken across page-breaks.

Desired: the "Allow rows to break across pages and columns" setting is unchecked (which means splitting of the row is NOT allowed), and if such a table has cells from multiple rows merged together, then all such rows should be treated as a single row.
Comment 1 A (Andy) 2014-03-16 14:22:08 UTC
reproducible with LO 4.2.1.1 (Win 8.1)

Steps to Reproduce:
1. Open WRITER
2. Go to TABLE -> INSERT -> TABLE
3. Let the columns at 2 and increase the numbers of rows for instance to 10 and press INSERT to insert the table
4. Write any little longer text into the rows of the first column so that the table goes over at least two pages
5. Go to TABLE -> TABLE PROPERTIES -> tab TEXT FLOW
6. Deselect "Allow row to brake across pages and columns"

Interim Result:
No row does break across pages.

7. Select two cells in the first column with the text (the last of page 1 and the first of page 2)
8. Make a right mouse click and go to CELL -> MERGE

Result:
Row crosses two pages despite the table properties.
Comment 2 Gordo 2015-05-06 19:30:28 UTC
Still reproducible.

Using Andy's example, what you'll find is that part of the merged cell (A7) that is adjacent to the first cell in the other column (B7) either stays on the first page or moves onto the second when empty paragraphs are added before the table.  B7 and B8 want to respect the setting regardless of A7.

Table:A7 Table:B7
---page break---
Table:A7 Table:B8

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 3 dziabong 2016-02-06 13:24:37 UTC
Still reproducible on LibreOffice 5.0.1.2 (Windows 7)
Comment 4 Lars Jødal 2017-02-15 10:20:27 UTC
*** Bug 61128 has been marked as a duplicate of this bug. ***
Comment 5 Timur 2018-07-19 09:55:22 UTC
Repro 6.2+.
Comment 6 QA Administrators 2019-07-20 02:46:44 UTC Comment hidden (obsolete)
Comment 7 Lars Jødal 2019-08-13 09:32:14 UTC
Still reproducible in 6.3.0, using the attachment from comment 1.

Version: 6.3.0.4 (x64)
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU tråde: 4; Styresystem: Windows 10.0; Gengiver af brugergrænseflade: GL; VCL: win; 
Lokalisering: da-DK (da_DK); Sprog for brugergrænseflade: da-DK
Calc: threaded